extends Node2D

@onready var explosion_generator = $ExplosionGenerator
@onready var player = $HiroPlayer
@onready var ai = $HiroAI

func _on_player_defeated():
	if Globals.nsfw == true:
		explosion_generator.spawn(player.position)

func _on_ai_defeated():
	if Globals.nsfw == true:
		explosion_generator.spawn(ai.position)
